--
-- ### Evaluation of block variable in select statement
-- 

drop if exists table t1;
create table t1 ( a int not null, b string(30));
create primary btree on t1(a);

insert into t1 values ( 5172, 'XXX');
insert into t1 values ( 5173, 'YYY');
insert into t1 values ( 5174, 'ZZZ');

set a = 5172;
plan select a from t1 where a = :a and b = 'XXX' and lower(b) = 'xxx';
select a from t1 where a = :a and b = 'XXX' and lower(b) = 'xxx';
